API ReferenceManagementMagic Link Management
POST
/v1/mgmt/magiclink/settings

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

enabled?boolean
expirationTime?integer
Formatint32
expirationTimeUnit?string
redirectUrl?string
emailServiceProvider?string
textServiceProvider?string
emailTemplateId?string

Active template selection by id. Absent = keep the current selection; "" = reset to the built-in System template; a template id = select that stored template.

textTemplateId?string

Set the project's magic link settings, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/magiclink/settings" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?